## python-affine 2.3.0

=== requirements.txt ===
pydocstyle==2.1.1

## python-affine 1.1.0

=== debian/changelog ===
python-affine (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Add gbp.conf to use pristine-tar by default.
  * Update watch file to mangle the filename,
    include the project name and not only the version.
  * Update copyright file, changes:
    - Use BSD-3-Clause license shortname instead of BSD-3
    - Add Mike Toews as copyright holder
    - Add Upstream-Contact header

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 28 Dec 2014 15:03:14 +0100

python-affine (1.0.1-1) unstable; urgency=medium

  * Initial upload (closes: #767033)

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Sun, 02 Nov 2014 21:14:16 +0100

=== debian/control ===
Source: python-affine
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>,
           Bas Couwenberg <sebastic@xs4all.nl>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python3-all,
               python-setuptools,
               python3-setuptools,
               python-nose,
               python3-nose
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-affine.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/python-affine.git
Homepage: https://github.com/sgillies/affine

Package: python-affine
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Python Library for handling affine transformations of the plane
 This library contains functions for handling affine transformations of the 
 plane.
 .
 It can be used in georeferenced datasets to transfer image to world 
 coordinates.
 This is the Python 2 version of the library.

Package: python3-affine
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python 3 Library for handling affine transformations of the plane
 This library contains functions for handling affine transformations of the
 plane.
 .
 It can be used in georeferenced datasets to transfer image to world 
 coordinates.
 This is the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=affine

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="nosetests {build_dir}/affine" dh_auto_test

## python-affine 1.2.0

=== debian/changelog ===
python-affine (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream metadata.
  * Update my email to use @debian.org address.
  * Ignore test failures to not fail the build.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Jun 2015 13:57:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-affine
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>,
-           Bas Couwenberg <sebastic@xs4all.nl>
+           Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="nosetests {build_dir}/affine" dh_auto_test
+	PYBUILD_TEST_ARGS="nosetests {build_dir}/affine" dh_auto_test || echo "Ignoring test failures"

=== debian/watch ===
version=3
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?v?(\d[\d\.]*)\.tar\.gz/affine-$1.tar.gz/" \
https://github.com/sgillies/affine/releases \
(?:.*/)*(?:rel|v|affine|)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-affine 2.0.0

=== debian/changelog ===
python-affine (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 May 2016 16:00:05 +0200

python-affine (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Enable parallel builds.
  * Update watch file, handle other tar extensions in filenamemangle.
  * Bump Standards-Version to 3.9.8, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Apr 2016 23:03:08 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                python3-setuptools,
                python-nose,
                python3-nose
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-affine.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/python-affine.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-affine.git
 Homepage: https://github.com/sgillies/affine
 
 Package: python-affine
@@ -27,6 +27,7 @@
  .
  It can be used in georeferenced datasets to transfer image to world 
  coordinates.
+ .
  This is the Python 2 version of the library.
 
 Package: python3-affine
@@ -39,5 +40,6 @@
  .
  It can be used in georeferenced datasets to transfer image to world 
  coordinates.
+ .
  This is the Python 3 version of the library.

## python-affine 2.1.0

=== debian/changelog ===
python-affine (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Jul 2017 18:12:49 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-setuptools,
                python-nose,
                python3-nose
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-affine.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-affine.git
 Homepage: https://github.com/sgillies/affine

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|affine)?[\-\_]?(\d[\d\.]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/affine-$1.$2/ \
https://github.com/sgillies/affine/releases \
(?:.*/)*(?:rel|v|affine|)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-affine 2.2.0

=== debian/changelog ===
python-affine (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing whitespace from control file.
  * Update copyright-format URL to use HTTPS.
  * Add lintian override for vcs-deprecated-in-debian-infrastructure.
  * Refresh patches.
  * Bump Standards-Version to 4.1.3, no changes.
  * Add pytest to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Mar 2018 07:26:07 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,13 @@
                dh-python,
                python-all,
                python3-all,
+               python-nose,
+               python3-nose,
+               python-pytest,
+               python3-pytest,
                python-setuptools,
-               python3-setuptools,
-               python-nose,
-               python3-nose
-Standards-Version: 4.0.0
+               python3-setuptools
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-affine.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-affine.git
 Homepage: https://github.com/sgillies/affine
@@ -22,10 +24,10 @@
 Depends: ${misc:Depends},
          ${python:Depends}
 Description: Python Library for handling affine transformations of the plane
- This library contains functions for handling affine transformations of the 
+ This library contains functions for handling affine transformations of the
  plane.
  .
- It can be used in georeferenced datasets to transfer image to world 
+ It can be used in georeferenced datasets to transfer image to world
  coordinates.
  .
  This is the Python 2 version of the library.
@@ -38,7 +40,7 @@
  This library contains functions for handling affine transformations of the
  plane.
  .
- It can be used in georeferenced datasets to transfer image to world 
+ It can be used in georeferenced datasets to transfer image to world
  coordinates.
  .
  This is the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 export PYBUILD_NAME=affine
 
 %:
-	dh $@ --with python2,python3 --buildsystem pybuild
+	dh $@ --with python2,python3 --buildsystem pybuild --parallel
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \

## python-affine 2.2.1

=== debian/changelog ===
python-affine (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* URLs for Salsa.
  * Drop override for vcs-deprecated-in-debian-infrastructure.
  * Bump Standards-Version to 4.1.4, no changes.
  * Strip trailing whitespace from control file.
  * Add module import tests to autopkgtest configuration.
  * Use pytest instead of nose.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Jun 2018 07:25:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,13 @@
                dh-python,
                python-all,
                python3-all,
-               python-nose,
-               python3-nose,
                python-pytest,
                python3-pytest,
                python-setuptools,
                python3-setuptools
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-affine.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-affine.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-affine
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-affine.git
 Homepage: https://github.com/sgillies/affine
 
 Package: python-affine
@@ -44,4 +42,3 @@
  coordinates.
  .
  This is the Python 3 version of the library.
-

=== debian/tests/control ===
# Test installability
Depends: @
Test-Command: /bin/true

# Test module import (Python 2)
Depends: python-all, python-affine
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import affine; print(affine)" ; done

# Test module import (Python 3)
Depends: python3-all, python3-affine
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import affine; print(affine)" ; done

## python-affine 2.2.2

=== debian/changelog ===
python-affine (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Dec 2018 07:09:24 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pytest,
                python-setuptools,
                python3-setuptools
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-affine
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-affine.git
 Homepage: https://github.com/sgillies/affine

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=affine

%:
	dh $@ --with python2,python3 --buildsystem pybuild --parallel

## python-affine 2.3.0

=== debian/changelog ===
python-affine (2.3.0-2) UNRELEASED; urgency=medium

  * update

 -- Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>  Thu, 07 Jul 2022 11:01:36 +0800

python-affine (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Remove myself from Uploaders.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Bump watch file version to 4.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2020 11:33:17 +0100

python-affine (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Sep 2019 06:19:35 +0200

python-affine (2.2.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Python 2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 20:20:43 +0200

=== debian/control ===
Source: python-affine
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10~),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-affine
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-affine.git
Homepage: https://github.com/sgillies/affine

Package: python3-affine
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python 3 Library for handling affine transformations of the plane
 This library contains functions for handling affine transformations of the
 plane.
 .
 It can be used in georeferenced datasets to transfer image to world
 coordinates.
 .
 This is the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=affine

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|affine)?[\-\_]?(\d[\d\.]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/affine-$1.$2/ \
https://github.com/sgillies/affine/releases \
(?:.*?/archive/)*(?:rel|v|affine|)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-affine 2.3.1

=== debian/changelog ===
python-affine (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file for GitHub URL changes.
  * Bump debhelper compat to 12, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Mar 2022 06:41:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-affine
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-affine.git
 Homepage: https://github.com/sgillies/affine

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|affine)?[\-\_]?(\d[\d\.]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/affine-$1.$2/ \
https://github.com/sgillies/affine/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|affine|)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-affine 2.4.0

=== debian/changelog ===
python-affine (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add Rules-Requires-Root to control file.
  * Update GitHub URLs for move to rasterio namespace.
  * Add pybuild-plugin-pyproject & flit to build dependencies.
  * Drop python3-setuptools from build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jan 2023 06:25:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               flit,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-pytest,
-               python3-setuptools
-Standards-Version: 4.6.0
+               python3-pytest
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-affine
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-affine.git
-Homepage: https://github.com/sgillies/affine
+Homepage: https://github.com/rasterio/affine
+Rules-Requires-Root: no
 
 Package: python3-affine
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=affine

%:
	dh $@ --with python3 --buildsystem pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|affine)?[\-\_]?(\d[\d\.]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/affine-$1.$2/ \
https://github.com/rasterio/affine/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|affine|)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
